package cn.axzo.msg.center.notices.common.lang;

/**
 * 日志模板没有响应对象
 *
 * @author zhaoyong
 * @see LoggerCallbackWithoutResult
 * @since 2021-08-10 14:32
 */
public abstract class LoggerCallbackWithoutResult implements
    LoggerCallback<Object> {

  @Override
  public Object doInExecute() {
    doInExecuteWithoutResult();
    return null;
  }

  public abstract void doInExecuteWithoutResult();

}
